Subject: fetchmail 6.2.5 <-> qpopper 4.0.5 not interoperable
To: None <>
From: Jun-ichiro itojun Hagino <>
List: tech-pkg
Date: 02/13/2004 05:59:27
	i see the following error when contacting qpopper 4.0.5 by fetchmail
	6.2.5.  older version of fetchmail did not have such problem.
	do you have any idea how to fix it?  thanks.


% fetchmail -v
Enter password for 
fetchmail: 6.2.5 querying (protocol APOP) at Fri Feb 13 05:57:14 2004: poll started
fetchmail: POP3< +OK Qpopper (version 4.0.5) at starting.  <>
fetchmail: POP3> APOP itojun 512c63a4bf130e146aded6f254dfe347
fetchmail: POP3< +OK itojun has 2 visible messages (0 hidden) in 7471 octets.
fetchmail: POP3> STAT
fetchmail: POP3< +OK 2 7471
fetchmail: POP3> LAST
fetchmail: POP3< +OK 0 is the last read message.
2 messages for itojun at (7471 octets).
fetchmail: cannot get a range of message sizes (1-2).
fetchmail: POP3> QUIT
fetchmail: POP3< +OK Pop server at signing off.
fetchmail: client/server protocol error while fetching from
fetchmail: 6.2.5 querying (protocol APOP) at Fri Feb 13 05:57:22 2004: poll completed
fetchmail: Query status=4 (PROTOCOL)
fetchmail: normal termination, status 4